BaseScheduleManagerEJB (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler.server.session
Class BaseScheduleManagerEJB

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseScheduleManagerEJB

Direct Known Subclasses:
  AIScheduleManagerEJBImpl, ControlScheduleManagerEJBImpl

    public abstract class BaseScheduleManagerEJB

extends java.lang.Object

Implements common functionality shared by various schedule managers, for example the ControlScheduleManager and AIScheduleManager session beans.

Field Summary
`protected org.hyperic.hq.scheduler.shared.SchedulerLocal` | `_scheduler`
`protected Pager` | `historyPager`
`static java.lang.String` | `SCHED_SEPARATOR`
`protected Pager` | `schedulePager`

Constructor Summary
`BaseScheduleManagerEJB()`

Method Summary
`void` | `ejbActivate()`
`protected void` | `ejbCreate()` A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`protected int` | `getDbType()`
`protected abstract java.lang.String` | `getHistoryPagerClass()`
`protected java.lang.String` | `getJobName(AuthzSubject subject, AppdefEntityID id, java.lang.String instanceIdentifier)`
`protected abstract java.lang.String` | `getJobPrefix()`
`protected java.lang.String` | `getPrefix(AppdefEntityID id)`
`protected abstract java.lang.String` | `getSchedulePagerClass()`
`protected abstract java.lang.String` | `getSchedulePrefix()`
`protected java.lang.String` | `getTriggerName(AuthzSubject subject, AppdefEntityID id, java.lang.String instanceIdentifier)`
`protected void` | `setDbType()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`protected void` | `setupJobData(org.quartz.JobDetail jobDetail, AuthzSubject subject, AppdefEntityID id, java.lang.String scheduleString, java.lang.Boolean scheduled, int[] order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHED_SEPARATOR

    public static final java.lang.String SCHED_SEPARATOR

See Also:
  Constant Field Values

### _scheduler

    protected org.hyperic.hq.scheduler.shared.SchedulerLocal _scheduler

### historyPager

    protected Pager historyPager

### schedulePager

    protected Pager schedulePager

Constructor Detail

### BaseScheduleManagerEJB

    public BaseScheduleManagerEJB()

Method Detail

### getHistoryPagerClass

    protected abstract java.lang.String getHistoryPagerClass()

### getSchedulePagerClass

    protected abstract java.lang.String getSchedulePagerClass()

### getJobPrefix

    protected abstract java.lang.String getJobPrefix()

### getSchedulePrefix

    protected abstract java.lang.String getSchedulePrefix()

### getPrefix

    protected java.lang.String getPrefix(AppdefEntityID id)

### getJobName

    protected java.lang.String getJobName(AuthzSubject subject,
                                          AppdefEntityID id,
                                          java.lang.String instanceIdentifier)

### getTriggerName

    protected java.lang.String getTriggerName(AuthzSubject subject,
                                              AppdefEntityID id,
                                              java.lang.String instanceIdentifier)

### setupJobData

    protected void setupJobData(org.quartz.JobDetail jobDetail,
                                AuthzSubject subject,
                                AppdefEntityID id,
                                java.lang.String scheduleString,
                                java.lang.Boolean scheduled,
                                int[] order)

### ejbCreate

    protected void ejbCreate()

  A pseudo-ejbCreate method called by subclasses from their real ejbCreate implementations.

### ejbActivate

    public void ejbActivate()

### ejbPassivate

    public void ejbPassivate()

### ejbRemove

    public void ejbRemove()

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

### getDbType

    protected int getDbType()

### setDbType

    protected void setDbType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.